Medical Center

Medical centers is a way to silo data among different medical branches. Each medical center can have it's own local admins, billing providers, service facilities, referring providers, etc.

The medical center model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the medical center.

  • Name
    object
    Type
    string
    Description

    Always 'medical_center'.

  • Name
    name
    Type
    string
    Description

    Name of the medical center.

  • Name
    address
    Type
    object
    Description
    Address of the medical_center.
  • Name
    custom_data
    Type
    array of objects
    Description
    Custom field and values added to the medical center object.
  • Name
    created_by
    Type
    string
    Description

    Creator of the medical center.

  • Name
    created_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the medical center was created.

  • Name
    last_updated_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the medical center was last updated.

Response

{
    "id": "mctr_zRX1SV0oK7vQ5f0j8Vjk",
    "object": "medical_center",
    "name": "Avon – New York Branch",
    "address": {
        "line1": "1 Wall Street",
        "city": "New York",
        "state": "NY",
        "postal_code": "10001",
        "country": "US",
    },
    "custom_data": [{
        "key": "cfld_DTkHKn6FZR6ioEoknLF",
        "value": "Default"
    }],
    "created_by": "user_xeDpGyt67wTor93qKtS7",
    "created_at": "2024-04-10T13:20:21.724Z",
    "last_updated_at": "2024-04-10T13:20:21.724Z"
}


POST/v2/medical_centers

Create a medical center

Creates a new medical center.

Required attributes

    Optional attributes

    • Name
      name
      Type
      string
      Description

      Name of the medical center.

    • Name
      medical_center
      Type
      object
      Description
      Address of the medical_center.
    • Name
      custom_data
      Type
      array of objects
      Description
      Custom field and values added to the medical center object.

    Request

    POST
    /v2/medical_centers
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/medical_centers" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

        {
            "id": "mctr_zRX1SV0oK7vQ5f0j8Vjk",
            "object": "medical_center",
            "name": "Avon – New York Branch",
            "address": {
                "line1": "1 Wall Street",
                "city": "New York",
                "state": "NY",
                "postal_code": "10001",
                "country": "US",
            },
            "custom_data": [{
                "key": "cfld_DTkHKn6FZR6ioEoknLF",
                "value": "Default"
            }],
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-10T13:20:21.724Z",
            "last_updated_at": "2024-04-10T13:20:21.724Z"
        }
    
    

    GET/v2/medical_centers/:id

    Retrieve a medical center

    Retrieves the specified medical center.

    Request

    GET
    /v2/medical_centers/:id
    curl "https://{{base_subdomain}}.avonhealth.com/v2/medical_centers/:id" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}"
    

    Response

    
        {
            "id": "mctr_zRX1SV0oK7vQ5f0j8Vjk",
            "object": "medical_center",
            "name": "Avon – New York Branch",
            "address": {
                "line1": "1 Wall Street",
                "city": "New York",
                "state": "NY",
                "postal_code": "10001",
                "country": "US",
            },
            "custom_data": [{
                "key": "cfld_DTkHKn6FZR6ioEoknLF",
                "value": "Default"
            }],
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-10T13:20:21.724Z",
            "last_updated_at": "2024-04-10T13:20:21.724Z"
        }
    
    

    POST/v2/medical_centers/:id

    Update a medical center

    Updates the specified medical center object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

    Required attributes

      Optional attributes

      • Name
        name
        Type
        string
        Description

        Name of the medical center.

      • Name
        medical_center
        Type
        object
        Description
        Address of the medical_center.
      • Name
        custom_data
        Type
        array of objects
        Description
        Custom field and values added to the medical center object.

      Request

      POST
      /v2/medical_centers/:id
      curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/medical_centers/:id" \
        -H "Authorization: Bearer {{token}}" \
        -H "x-jwt: {{jwt}}" \
        -H "Content-Type: application/json" \
        --data '{}'
      

      Response

      
          {
              "id": "mctr_zRX1SV0oK7vQ5f0j8Vjk",
              "object": "medical_center",
              "name": "Avon – New York Branch",
              "address": {
                  "line1": "1 Wall Street",
                  "city": "New York",
                  "state": "NY",
                  "postal_code": "10001",
                  "country": "US",
              },
              "custom_data": [{
                  "key": "cfld_DTkHKn6FZR6ioEoknLF",
                  "value": "Default"
              }],
              "created_by": "user_xeDpGyt67wTor93qKtS7",
              "created_at": "2024-04-10T13:20:21.724Z",
              "last_updated_at": "2024-04-10T13:20:21.724Z"
          }
      
      

      GET/v2/medical_centers

      List all medical centers

      Returns a list of all medical centers.

      Request

      GET
      /v2/medical_centers
      curl "https://{{base_subdomain}}.avonhealth.com/v2/medical_centers" \
        -H "Authorization: Bearer {{token}}" \
        -H "x-jwt: {{jwt}}"
      

      Response

          {
            "object": "list",
            "data": [{
              "id": "mctr_zRX1SV0oK7vQ5f0j8Vjk",
              "object": "medical_center",
              "name": "Avon – New York Branch",
              "address": {
                  "line1": "1 Wall Street",
                  "city": "New York",
                  "state": "NY",
                  "postal_code": "10001",
                  "country": "US",
              },
              "custom_data": [{
                  "key": "cfld_DTkHKn6FZR6ioEoknLF",
                  "value": "Default"
              }],
              "created_by": "user_xeDpGyt67wTor93qKtS7",
              "created_at": "2024-04-10T13:20:21.724Z",
              "last_updated_at": "2024-04-10T13:20:21.724Z"
          }]
          }
      

      DELETE/v2/medical_centers/:id

      Delete a medical center

      Deletes the specified medical center.

      Required attributes

        Optional attributes

          Request

          DELETE
          /v2/medical_centers/:id
          curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/medical_centers/:id" \
            -H "Authorization: Bearer {{token}}" \
            -H "x-jwt: {{jwt}}"
          

          Response

              {
                  "id": "mctr_zRX1SV0oK7vQ5f0j8Vjk",
                  "object": "medical_center",
                  "delete": true
              }